import { PublicKey } from "@solana/web3.js";
import BN from "bn.js";
export declare const PROGRAM_ID: PublicKey;
export declare const STAKING_PROGRAM_ID: PublicKey;
export declare const SOLCAT_DECIMALS = 6;
export declare const SCALE_FACTOR: BN;
export declare const DISCRIMINATOR_SIZE = 8;
export declare const PUBKEY_SIZE = 32;
export declare const U8_SIZE = 1;
export declare const U16_SIZE = 2;
export declare const U32_SIZE = 4;
export declare const U64_SIZE = 8;
export declare const I64_SIZE = 8;
export declare const LOCKUP_VAULT_LEN: number;
export declare const WITHDRAW_POSITION_LEN: number;
export declare const LOCKUP_STAKING_ACCOUNT_LEN: number;
