import { PublicKey, TransactionInstruction } from "@solana/web3.js";
import { Program } from "@coral-xyz/anchor";
import { Staking } from "../artifacts/staking";
export type InitFlexibleAccountParams = {
    accounts: {
        user: PublicKey;
    };
    inputs: {
        bump: number;
    };
};
export declare function initFlexibleAccount(program: Program<Staking>, params: InitFlexibleAccountParams): Promise<TransactionInstruction>;
