import { BN, Program } from "@coral-xyz/anchor";
import { TransactionInstruction } from "@solana/web3.js";
import { Staking } from "../artifacts/staking";
export type UpdateLockupVaultParams = {
    inputs: {
        index: number;
        apy: number;
        lockupDuration: BN;
        minStakeAmount: BN;
    };
};
export declare function updateLockupVault(program: Program<Staking>, params: UpdateLockupVaultParams): Promise<TransactionInstruction>;
