import { BN, Program } from "@coral-xyz/anchor";
import { TransactionInstruction } from "@solana/web3.js";
import { Staking } from "../artifacts/staking";
export type WithdrawFundParams = {
    inputs: {
        amount: BN;
    };
};
export declare function withdrawFund(program: Program<Staking>, params: WithdrawFundParams): Promise<TransactionInstruction>;
