"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getLockupStakingAccountUnlockedOffset = exports.getWithdrawPositionClaimedOffset = void 0;
const constants_1 = require("./constants");
const getWithdrawPositionClaimedOffset = () => {
    return constants_1.DISCRIMINATOR_SIZE + // Discriminator
        constants_1.U8_SIZE + // bump
        constants_1.U32_SIZE + // index
        constants_1.PUBKEY_SIZE + // user
        constants_1.U64_SIZE + // amount
        constants_1.I64_SIZE; // start_delay_time
};
exports.getWithdrawPositionClaimedOffset = getWithdrawPositionClaimedOffset;
const getLockupStakingAccountUnlockedOffset = () => {
    return constants_1.DISCRIMINATOR_SIZE + // Discriminator
        constants_1.U8_SIZE + // bump
        constants_1.U32_SIZE + // index
        constants_1.PUBKEY_SIZE + // owner
        constants_1.PUBKEY_SIZE + // lockup_vault
        constants_1.U16_SIZE + // committed_apy
        constants_1.U64_SIZE + // locked_amount
        constants_1.I64_SIZE; // locked_at
};
exports.getLockupStakingAccountUnlockedOffset = getLockupStakingAccountUnlockedOffset;
